petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetHeightStratum

Get the bounds [start, end) for all points at a certain height.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetHeightStratum(DM dm, PetscInt stratumValue, PetscInt *start, PetscInt *end)

Not Collective Many br

### Input Parameters

| dm | - The DMPlex object Many br
| stratumValue | - The requested height Many br

### Output Parameters

| start | - The first point at this height Many br
| end | - One beyond the last point at this height Many br

Many br

### Keywords

mesh, points

### See Also

DMPlexGetDepthStratum(), DMPlexGetDepth()

Level:developer
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html